Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3195 - /sbin/init goes bananas in memory full
Summary: /sbin/init goes bananas in memory full
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: SysVinit
Version: 5.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-01 15:18 UTC by pere
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-02 09:48:16 UTC


Attachments (Terms of Use)

Description pere 1999-06-01 15:18:40 UTC
On two of our Redhat 5.2 machines, we has experienced a
crasy /sbin/init.

We discovered that the machines had lots of zombi processes.
'ps axl' on other machiens tells me that init normally
rests in 'do_select'.  On the problematic machines, it
rested in 'pause', and did not respond to any signals.

The zombi processes was a result of init not collecting
its childs.

I beleave this has happended when the machines in question
went out of free memory - a runaway netscape.  rwhod,
syslogd and crond was also dead.

init should not go crasy in any case, so the problem should
be fixed.

Comment 1 Jeff Johnson 1999-06-02 09:48:59 UTC
There are many, many problems, not just with /sbin/init, that
occur when there is insufficient swap space to run linux.


Note You need to log in before you can comment on or make changes to this bug.